- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Lists TopicSubscriptions for a given app instance.
HTTP request
GET https://fcm.googleapis.com/v1/{parent=projects/*/registrations/*}/topicSubscriptions
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent resource, which owns this collection of subscriptions. Format: projects/{project}/registrations/{registration} The {registration} part can be an FID or an FCM Token. |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. The maximum number of subscriptions to return. The service may return fewer than this value. If unspecified, at most 1000 subscriptions will be returned. The maximum value is 2000; values above 2000 will be coerced to 2000. |
pageToken |
Optional. A page token, received from a previous |
Request body
The request body must be empty.
Response body
Response message for ListTopicSubscriptions.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"topic_subscriptions": [
{
object ( |
| Fields | |
|---|---|
topic_subscriptions[] |
The topic subscriptions for the instance. |
next_page_token |
A token, which can be sent as |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/firebase.messaginghttps://www.googleapis.com/auth/cloud-platform
For more information, see the OAuth 2.0 Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
cloudmessaging.topicSubscriptions.list
For more information, see the IAM documentation.